Bug 186457 - openobex-devel: +Requires: pkgconfig
openobex-devel: +Requires: pkgconfig
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openobex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 13:04 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-22 06:33:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-03-23 13:04:16 EST
openobex-devel installs /usr/lib/pkgconfig/openobex.pc
which needs pkgconfig to properly function.

Also, I see for -devel subpkg:
Requires: %{name} = 0:%{version}-%{release}
The 0 is bogus, and should be dropped... there are no Epochs at work here.
Comment 1 Harald Hoyer 2006-03-24 05:33:00 EST
openobex-devel does not require pkgconfig and the 0 epoch stays...
Comment 2 Rex Dieter 2006-06-21 08:02:44 EDT
If 
BuildRequires: pkgconfig
not is not added to openobex-devel, any app that
BuildRequires: openobex-devel
will fail to build when the new "stripped buildroot" version of mock (version >=
0.6) is deployed for Fedora Extras.
Comment 3 Harald Hoyer 2006-06-22 06:33:05 EDT
If s.th. uses pkgconfig to build s.th. then it should BuildRequires that.
Comment 4 Rex Dieter 2006-06-22 06:41:10 EDT
FYI, this issue is being discussed on the fedora-packaging(@redhat.list) list. 
You probably know my opinion, but if you'd like to chime in, please do so.  

No final decision has been reached yet, but it does appear the consensus atm is
that -devel pkgs with .pc files should Requires: pkgconfig.

Note You need to log in before you can comment on or make changes to this bug.